The Swift Package Index logo.Swift Package Index

Track the adoption of Swift 6 strict concurrency checks for data race safety. How many packages are Ready for Swift 6?

Build Information

Failed to build HueEntertainmentSwift with Swift 5.9 for Linux.

Build Command

Build command unavailable

Build Log

========================================
RunAll
========================================
Builder version: 4.28.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/nakajima/HueEntertainmentSwift.git
Reference: main
Initialized empty Git repository in /host/spi-builder-workspace/.git/
hint: Using 'master' as the name for the initial branch. This default branch name
hint: is subject to change. To configure the initial branch name to use in all
hint: of your new repositories, which will suppress this warning, call:
hint:
hint: 	git config --global init.defaultBranch <name>
hint:
hint: Names commonly chosen instead of 'master' are 'main', 'trunk' and
hint: 'development'. The just-created branch can be renamed via this command:
hint:
hint: 	git branch -m <name>
From https://github.com/nakajima/HueEntertainmentSwift
 * branch            main       -> FETCH_HEAD
 * [new branch]      main       -> origin/main
HEAD is now at 3124c6f bump
Cloned https://github.com/nakajima/HueEntertainmentSwift.git
Revision (git rev-parse @):
3124c6f4724aad5b5006b3d72d1022457584e5df
SPI manifest file found: $PWD/checkout/.spi.yml
SUCCESS checkout https://github.com/nakajima/HueEntertainmentSwift.git at main
========================================
Build
========================================
Selected platform:         linux
Swift version:             5.9
Building package at path:  $PWD/checkout
Running build ...
bash -c docker run --rm -v "checkouts-4606859-0":/host -w "$PWD/checkout" registry.gitlab.com/finestructure/spi-images:basic-5.9-latest swift build 2>&1
Fetching https://github.com/apple/swift-docc-plugin.git
[1/1433] Fetching swift-docc-plugin
Fetched https://github.com/apple/swift-docc-plugin.git (0.41s)
Computing version for https://github.com/apple/swift-docc-plugin.git
Computed https://github.com/apple/swift-docc-plugin.git at 1.0.0 (0.36s)
Creating working copy for https://github.com/apple/swift-docc-plugin.git
Working copy of https://github.com/apple/swift-docc-plugin.git resolved at 1.0.0
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Convert/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: warning: switch covers known cases, but 'TargetDependency' may have additional unknown values
                switch dependency {
                ^
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Convert/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: note: handle unknown values using "@unknown default"
                switch dependency {
                ^
[1/1] Compiling plugin Swift-DocC
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Preview/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: warning: switch covers known cases, but 'TargetDependency' may have additional unknown values
                switch dependency {
                ^
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Preview/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: note: handle unknown values using "@unknown default"
                switch dependency {
                ^
[2/2] Compiling plugin Swift-DocC Preview
Building for debugging...
error: emit-module command failed with exit code 1 (use -v to see invocation)
[3/14] Emitting module HueEntertainmentSwift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[4/15] Compiling HueEntertainmentSwift HueSession+Control.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[5/15] Compiling HueEntertainmentSwift HueSession+HTTP.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[6/15] Compiling HueEntertainmentSwift Message.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[7/15] Compiling HueEntertainmentSwift JSONTypes.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[8/15] Compiling HueEntertainmentSwift Animation.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[9/15] Compiling HueEntertainmentSwift AreaUpdate.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[10/15] Compiling HueEntertainmentSwift HueSession+Animation.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[11/15] Compiling HueEntertainmentSwift HueSession+Auth.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[12/15] Compiling HueEntertainmentSwift XYBrightness.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[13/15] Compiling HueEntertainmentSwift HueSession.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[14/15] Compiling HueEntertainmentSwift HueSession+Settings.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[15/15] Compiling HueEntertainmentSwift String.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
error: fatalError
[0/1] Planning build
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Convert/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: warning: switch covers known cases, but 'TargetDependency' may have additional unknown values
                switch dependency {
                ^
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Convert/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: note: handle unknown values using "@unknown default"
                switch dependency {
                ^
[1/1] Compiling plugin Swift-DocC
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Preview/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: warning: switch covers known cases, but 'TargetDependency' may have additional unknown values
                switch dependency {
                ^
/host/spi-builder-workspace/.build/checkouts/swift-docc-plugin/Plugins/Swift-DocC Preview/Symbolic Links/SharedPackagePluginExtensions/PackageExtensions.swift:31:17: note: handle unknown values using "@unknown default"
                switch dependency {
                ^
[2/2] Compiling plugin Swift-DocC Preview
Building for debugging...
[3/14] Compiling HueEntertainmentSwift HueSession+Settings.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[4/14] Compiling HueEntertainmentSwift String.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[5/15] Compiling HueEntertainmentSwift Message.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[6/15] Compiling HueEntertainmentSwift HueSession.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[7/15] Compiling HueEntertainmentSwift HueSession+Control.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[8/15] Compiling HueEntertainmentSwift HueSession+HTTP.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[9/15] Compiling HueEntertainmentSwift HueSession+Animation.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[10/15] Compiling HueEntertainmentSwift HueSession+Auth.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[11/15] Compiling HueEntertainmentSwift JSONTypes.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
error: emit-module command failed with exit code 1 (use -v to see invocation)
[12/15] Emitting module HueEntertainmentSwift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[13/15] Compiling HueEntertainmentSwift Animation.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[14/15] Compiling HueEntertainmentSwift AreaUpdate.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
[15/15] Compiling HueEntertainmentSwift XYBrightness.swift
/host/spi-builder-workspace/Sources/HueEntertainmentSwift/AreaUpdate.swift:9:8: error: no such module 'SwiftUI'
import SwiftUI
       ^
error: fatalError
BUILD FAILURE 5.9 linux

Build Machine: Linux 1